
@media (max-width: 1000px) {
  body {
    --bs-body-font-size: 1.0rem;
  }

  .tia_responsive_stock {
      flex-direction: column;
  }

  .container {
      max-width: 100%;
  }

  .tia_table_product_stock {
    font-size: 0.8rem;
  }

  .form-control {
    padding: .375rem 0.1rem;
    font-size: 0.8rem;
  }

  .tia_input_product_appl {
    font-size: 0.8rem;
  }

  .tia_search_div_close input {
    font-size: 1.0rem;
  }

  .tia_filter_input label {
    width: 2.4rem;
    height: 2.4rem;
  }

  .tia_filter_input {
    align-items: center;
  }




}


@media (max-width: 420px) {

  body {
    --bs-body-font-size: 0.9rem;
  }


  #manager_table_application th:nth-child(1),
  #manager_table_application td:nth-child(1),
  #manager_table_application th:nth-child(3),
  #manager_table_application td:nth-child(3),
  #manager_table_application th:nth-child(4),
  #manager_table_application td:nth-child(4),
  #manager_table_application th:nth-child(6),
  #manager_table_application td:nth-child(6),
  #manager_table_application th:nth-child(7),
  #manager_table_application td:nth-child(7),
  #manager_table_application th:nth-child(8),
  #manager_table_application td:nth-child(8),
  #manager_table_application th:nth-child(9),
  #manager_table_application td:nth-child(9),
  #manager_table_application th:nth-child(10),
  #manager_table_application td:nth-child(10),
  #manager_table_application th:nth-child(11),
  #manager_table_application td:nth-child(11),
  #manager_table_application th:nth-child(12),
  #manager_table_application td:nth-child(12),
  #manager_table_application th:nth-child(13),
  #manager_table_application td:nth-child(13),
  #manager_table_application th:nth-child(16),
  #manager_table_application td:nth-child(16),
  .tia_filter_manager_respopnsive #data_ot_filter,
  .tia_filter_manager_respopnsive #data_do_filter,
  .tia_filter_manager_respopnsive #status_filter,
  .tia_filter_manager_respopnsive #oplata_filter,
  .tia_filter_manager_respopnsive div:nth-child(1),
  .tia_filter_manager_respopnsive div:nth-child(2),
  .tia_filter_manager_respopnsive div:nth-child(4),
  .tia_filter_manager_respopnsive div:nth-child(5),
  #contragentsTable th:nth-child(3),
  #contragentsTable td:nth-child(3),
  #contragentsTable th:nth-child(6),
  #contragentsTable td:nth-child(6),
  #contragentsTable th:nth-child(7),
  #contragentsTable td:nth-child(7),
  #contragentsTable th:nth-child(8),
  #contragentsTable td:nth-child(8),
  #contragentsTable th:nth-child(9),
  #contragentsTable td:nth-child(9),
  #contragentsTable th:nth-child(10),
  #contragentsTable td:nth-child(10),

  #tia_table_contragent th:nth-child(3),
  #tia_table_contragent td:nth-child(3),
  #tia_table_contragent th:nth-child(6),
  #tia_table_contragent td:nth-child(6),
  #tia_table_contragent th:nth-child(7),
  #tia_table_contragent td:nth-child(7),
  #tia_table_contragent th:nth-child(8),
  #tia_table_contragent td:nth-child(8),
  #tia_table_contragent th:nth-child(9),
  #tia_table_contragent td:nth-child(9),
  #tia_table_contragent th:nth-child(10),
  #tia_table_contragent td:nth-child(10),
  #tia_table_contragent th:nth-child(11),
  #tia_table_contragent td:nth-child(11),

  #tia_table_contacts th:nth-child(1),
  #tia_table_contacts th:nth-child(4),
  #tia_table_contacts td:nth-child(4),
  #tia_table_contacts th:nth-child(5),
  #tia_table_contacts td:nth-child(5),
  #tia_table_contacts th:nth-child(7),
  #tia_table_contacts td:nth-child(7),
  #tia_table_contacts th:nth-child(9),
  #tia_table_contacts td:nth-child(9),

  #payment_application th:nth-child(1),
  #payment_application td:nth-child(1),
  #payment_application th:nth-child(2),
  #payment_application td:nth-child(2),
  #payment_application th:nth-child(5),
  #payment_application td:nth-child(5),
  #payment_application th:nth-child(7),
  #payment_application td:nth-child(7),
  #payment_application th:nth-child(10),
  #payment_application td:nth-child(10),

  #form_appl_add_pay th:nth-child(3),
  #form_appl_add_pay td:nth-child(3)


   {
    display: none;
  }

  #payment_application th, #payment_application td {
    text-align: center;
  }

  .py-3 {
      padding-top: 0.5rem!important;
      padding-bottom: 0.5rem!important;
      padding-left: 0.2rem!important;
      padding-right: 0.2rem!important;
  }

  .tia_header_list {
      font-size: 1rem;
  }

  .btn {
    --bs-btn-font-size: 0.75rem;
  }

  .responsive_appl_all_1 {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-gap: unset;
  }

  .responsive_appl_all_2 {
    flex-direction: column;
  }

  .tia_filter_input {
      width: 100%;
      padding-top: 0.5rem!important;
      padding-bottom: 0.5rem!important;
  }

  .tia_pagination_tr {
    display: none;
  }

  .tia_card_application {
      margin: 5px auto !important;
/*      max-width: 100vw;*/
      max-width: calc(100vw - 6px);
  }

  .responsive_appl_1 {
    display: block;
  }

  .tia_status_appl {
    width: 100%; 
  }

  .card-body {
    --bs-card-spacer-y: 0.5rem;
    --bs-card-spacer-x: 0.5rem;
  }

  .tia_line_horizont {
    margin: 0.5rem 0;
  }

  .responsive_appl_2 {
    display: block;    
  }

  .tia_form_edit_razdel_appl {
    width: 100%; 
  }

  .responsive_appl_2 .tia_form_edit_razdel_appl:nth-of-type(1) div:not(:first-child),
  .responsive_appl_2 .tia_form_edit_razdel_appl:nth-of-type(1) + .tia_line_vertical,
  .responsive_appl_2 .tia_form_edit_razdel_appl:nth-of-type(1) + .tia_line_vertical + .tia_form_edit_razdel_appl
   {
    display: none;
  }

  .tia_line_vertical {
    margin: 0.5rem 0;
  }

  .tia_form_edit_razdel_3 {
    width: 100%; 
  }

  .responsive_appl_3 {
    display: block;
  }

  .tia_form_edit_razdel_appl_1 {
    width: 100%;
  }

  .responsive_appl_3 .tia_form_edit_razdel_appl label,
  .responsive_appl_3 .tia_form_edit_razdel_appl_1 label {
    padding-right: 10px;
    width: 40%;
  }

  #form_application_payment label {
    padding-right: 100px;
    width: 30%;
  }

  #payment_input {
    text-align: center;
  }

  #tableContainer thead tr th:nth-of-type(1),
  #tableContainer tbody tr th:nth-of-type(1),
  #tableContainer tfoot tr th:nth-of-type(1),
  #tableContainer thead tr th:nth-of-type(3),
  #tableContainer tbody tr td:nth-of-type(4),
  #tableContainer tfoot tr th:nth-of-type(3),
  #tableContainer thead tr th:nth-of-type(6),
  #tableContainer tbody tr td:nth-of-type(7),
  #tableContainer tfoot tr th:nth-of-type(6)  
   {
    display: none;
  }

  #product_add_modal_window_responsive {
    z-index: 900;
  }  

  #product_add_modal_window_responsive label {
    min-width: 22%;
  }

  #product_add_modal_window_responsive .card-body div {
    padding-bottom: 5px;
  }

  .tia_modal_window .card {
    margin: 5px;
  }

  .tia_unit {
    min-width: unset !important;
    padding: 0 5px;
  }

  #productunit {
    max-width: 15%;
  }

  .tia_input_product_appl {
    max-width: unset;
  }

  .tia_conteiner_button {
    font-size: 2rem;
    text-align: center;    
  }

  #product_add_modal_window_responsive .tia_conteiner_button .fa,
  #product_add_modal_window_responsive .tia_conteiner_button .far,
  #product_add_modal_window_responsive .tia_conteiner_button .fas {
    padding: 0 30px;
  }

  .tia_appl_btn_info_group {
    flex-direction: column;
  }

  .tia_btn_info_group {
    grid-gap: unset;
  }

  .tia_flex_right {
    justify-content: space-between;
    margin-top: 5px;
  }

  .tia_grup_btn_edit {
    margin: auto;
    margin-top: 5px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    width: max-content;
  }

  .tia_font_size_button {
/*    font-size: 13px;*/
  }

  .responsive_display_none {
    display: none;
  }

  .responsive_display_flex_column {
    display: flex;
    flex-direction: column;
  }

  .responsive_contragent_all_1 {
      display: flex;
      flex-direction: column;
      grid-gap: 5px;
  }

  .responsive_contragent_all_2 {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;
  }

  #tia_table_contragent tr th:nth-child(1) {
    border-width: 0;
  }

  .responsive_contragent_card_1 {
    flex-direction: column;
  }

  .tia_form_edit_razdel {
    width: unset;
  }

  .tia_form_label {
      max-width: 90px;
      font-size: 13px;
  }

  .responsive_contragent_card_2 label {
    padding-top: 10px;
  }

  .responsive_contact_card_1 {
    flex-direction: column;
  }

  .responsive_contact_card_1 label {
    max-width: 100px;
  }

  .responsive_contact_card_1 .tia_form_edit_razdel div:nth-child(5) label,
  .responsive_contact_card_1 .tia_form_edit_razdel div:nth-child(6) label
   {
    max-width: 150px;
  }

  .responsive_display_block {
    display: block;
  }

  .responsive_margin-bottom {
    margin-bottom: 5px;
  }

  .responsive_justify-content {
    justify-content: flex-end;
  }

  .tia_form_yesno {
    margin: 5px;
    padding: 20px;
  }

  .tia_form_yesno h5 {
    font-size: 1rem;
  }

  .tia_form_yesno form textarea {
    font-size: 0.8rem;
  }

  .tia_viber_bot_textarea {
    height: 130px;
  }

  #driver_table_route {
    font-size: 17px;
  }

  .payments_info_manager {
    font-size: 100%;
  }

  .tia_card_contragent {
      flex-direction: column;
      margin: 5px;
      margin-bottom: 20px;
  }

  .tia_card_contragent_right {
      max-width: 100vw;
      padding-top: 10vw;
  }

  .tia_event_date_card {
    width: 30vw;
  }

  .tia_event_ok {
      top: 15px;
      left: 35px;
      z-index: 1;
      width: 0;
      height: 0;
  }

  .tia_event_ok i {
      font-size: 15px;
  }

  .tia_event {
    padding-bottom: 20px;
  }

  .tia_modal_window {
    height: 100%;
  /*  align-items: center;*/
  }

  #tia_event_add_edit_4 {
      position: absolute;
      bottom: 0;
      right: 25px;
  }

  #tia_add_event_modal_window #tia_event_add_form div:nth-child(1) {
      position: relative;
      padding-bottom: 10px !important;
      max-width: unset;
  }

  #tia_add_event_modal_window #tia_event_add_form div:nth-child(2) {
    max-width: unset;
  }

  #tia_add_event_date_plan {
    max-width: unset;
  }

  #tia_add_event_modal_window #tia_event_add_form div:nth-child(1) h5 {
    font-size: 16px;
  }

  #tia_add_event_modal_window #tia_event_add_form .card-header label {
    font-size: 13px;
  }

  #tia_add_event_modal_window #tia_event_add_form .card-body label {
    font-size: 13px;
  }

  #tia_add_event_modal_window .tia_block_disabled_on {
    z-index: 9;
  }

  .tia_block_event_hover:hover {
      transform: translate(0, 0);
      background-color: beige;
  }

  .tia_block_event_hover .tia_i {
    padding-right: unset;
    right: 5px;
  }

  #tia_add_event_modal_window .tia_card_application {
      max-width: 800px;
      margin: 0 5px !important;
  }

  #tia_event_add_edit_1 {
    flex-direction: column;
  }

  .tia_block_button {
      display: flex;
      flex-wrap: wrap;
      grid-gap: 20px;
  }

  .tia_block_button button {
      font-size: 1rem;
      width: 35vw;
  }

  .card_report { /* кнопки отчетов посередине карточки */
      display: flex;
      flex-wrap: wrap;
      grid-gap: calc(100vw - 90vw);

    }

  .btn_report {
      --bs-btn-font-size: 1.2rem;
  }

  .tia_contragent_text {
      font-size: 13px;
      font-weight: 700;
  }

  .tia_report_route_group {
      flex-direction: column;
      grid-gap: 0;
  }

  #contragent_name_input {
    padding-right: 10px;
  }

  #upload_block label {
    padding-right: var(--bs-btn-padding-x);
  }

  .tia_phone {
    display: block;
    padding-right: 50px !important;
  }

  .tia_call_5 {
    width: unset; 
  }

  #form_report_route #driver_input {
    max-width: unset;
  }

  #table_data span {
      writing-mode: sideways-lr;
  /*    text-orientation: mixed;*/
  /*    white-space: normal;*/
  /*    max-height: 80px;*/
  /*    overflow-wrap: break-word;*/
  }

  .report_route .report_route_1 {
      padding-left: 0;
      font-size: 15px;
  }

  .report_route .report_route_3 {
      padding-left: 25px;
      font-size: 13px;
  }

  .report_route .report_route_2 {
      padding-left: 35px;
  }

  :root, [data-bs-theme=light] {
      --bs-body-font-size: 0.95rem;
  }

  .tia_p_lr_unset {
      padding-left: unset !important;
      padding-right: unset !important;
  }

  #table_route_detal tbody td {
    font-size: 0.85rem;
  }

  .tia_file-label {
      max-width: 50% !important;
      width: 100% !important;
      padding-right: 1rem !important;
  }

  .tia_format_number {
    white-space: nowrap;
  }

  #modal_window_choice_appl_payment label {
       white-space: unset; 
  }

  .tia_label_padding_right {
      flex: 0 0 40%;
  }

  #form_application_payment .tia_label_padding_right {
      flex: 0 0 30%;
  }

  .container_help {
      padding: 5px;
  }

  .container_help .card-body {
      padding: 10px;
  }

  ol, ul {
      padding-left: 1rem;
  }

  .container_help h1 {
      font-size: 1.5rem;
  }

  .lightbox-overlay {
    padding: unset;
  }

  .lightbox-content {
    max-width: 95vw;
    max-height: 95vh;
  }

  #zoom-wrapper {
    width: 90vw !important;
    height: 70vh !important;
    align-content: center;
  }

  .lightbox-close {
    top: 20px !important;
    right: 10px !important;
  }

  .tia_td_list_1 {
      max-width: 10%;
  }










}

@media (max-width: 360px) {

  body {
      --bs-body-font-size: 0.8rem;
  }

  .tia_btn_info_group {
      grid-gap: 1px;
  }

  .btn {
      --bs-btn-font-size: 0.75rem;
  }

  .tia_font_size_button {
      font-size: 14px;
  }

  .tia_header_list {
      font-size: 1rem;
      max-width: min-content;
  }

}


@media (max-width: 325px) {
  #driver_table_route {
    font-size: 15px;
  }

  .tia_page_driver .table {
    font-size: 13px;
  }
}











/* Показывать при альбомной ориентации */
@media screen and (max-width: 800px) and (orientation: landscape) {
    .hide-mobile {
        display: table-cell;
    }

    .hide-mobile-2 {
        display: none;
    }

  .tia_p_lr_unset {
      padding-left: unset !important;
      padding-right: unset !important;
  }

  #table_data span {
      writing-mode: sideways-lr;
  }
  
}

@media screen and (max-width: 400px) and (orientation: portrait) {
  .hide-mobile {
    display: none;
  }

    .hide-mobile-2 {
        display: table-cell;
    }
}
